-1

I have a problem with reledmac in memoir documents. When I add a chapter or a section command, reledmac

  1. does not number the 1st line of the numbered text
  2. does not print the sidenotes

I guess it has something to do with the page structure issues: headers etc.

\documentclass[a4paper,12p]{memoir}

\usepackage{reledmac}
\linenummargin{inner}
\sidenotemargin{outer}


\begin{document}

\section{Critical edition}
\beginnumbering
\pstart
This is the main \edtext{text}{\Afootnote{this is a critical footnote}}.\\
\ledsidenote{fol. 1}This is the main \edtext{text}{\Afootnote{this is a critical footnote}}.\\
This is the main \edtext{text}{\Afootnote{this is a critical footnote}}.\\
This is the main \edtext{text}{\Afootnote{this is a critical footnote}}.\\
This is the main \edtext{text}{\Afootnote{this is a critical footnote}}.\\
\ledsidenote{fol. 2}This is the main \edtext{text}{\Afootnote{this is a critical footnote}}.\\
This is the main \edtext{text}{\Afootnote{this is a critical footnote}}.\\
This is the main \edtext{text}{\Afootnote{this is a critical footnote}}.\\
This is the main \edtext{text}{\Afootnote{this is a critical footnote}}.
\pend
\endnumbering

\end{document}

This is a result after several runs. Without chapter/section it works well. In article class this did not seem to be a problem.

page top enter image description here

  • 1
    I don't reproduce the problem running twice time pdflatex (or using latexmk). Which version of reledmac do you use? – Maïeul Aug 30 '18 at 8:57
  • 1
    Indeed, it is possible that I have already corrected this bug. It seems remember to me. – Maïeul Aug 31 '18 at 10:54
  • 1
    also with this version of reldmac I have no problem. Please add the result of your \listfiles – Maïeul Aug 31 '18 at 11:02
  • 1
    \listfiles is a macro to be used before \documentclass and which list which files and package (with version number) used by your document. Please send me the result, because I can't reproduce your problem. – Maïeul Aug 31 '18 at 14:57
  • 1
    Hum, it strange. You have a texlive 2015 with a version 2018 of xelatex format... I think, you shoull install a "vanilla" texlive, with all the package up to date. – Maïeul Sep 5 '18 at 10:37

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.